Package org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

## Class EdDSANamedCurveSpec

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSAParameterSpec
  - - org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSANamedCurveSpec

All Implemented Interfaces:
  `Serializable`, `AlgorithmParameterSpec`

    public class EdDSANamedCurveSpec
    extends EdDSAParameterSpec

EdDSA Curve specification that can also be referred to by name.

Author:
  str4d
See Also:
  Serialized Form

### Constructor Summary

Constructors
`EdDSANamedCurveSpec​(String name, Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`

### Methods inherited from class org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSAParameterSpec

`equals, getB, getCurve, getHashAlgorithm, getScalarOps, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdDSANamedCurveSpec

    public EdDSANamedCurveSpec​(String name,
                               Curve curve,
                               String hashAlgo,
                               ScalarOps sc,
                               GroupElement B)

### Method Detail

#### getName

    public String getName()